net.sf.saxon.event

## Class EventSource

- java.lang.Object
- - net.sf.saxon.event.EventSource

- All Implemented Interfaces:
    Source

      public abstract class EventSource
      extends Object
      implements Source

  An implementation of the JAXP Source class that supplies a document in the form of a stream of push events sent to a Receiver
  Since:
    9.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSystemId()` Get the system identifier that was set with setSystemId.
    `abstract void` | `send(Receiver out)` Supply events to a Receiver.
    `void` | `setSystemId(String systemId)` Set the system identifier for this Source.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EventSource

          public EventSource()

  - ### Method Detail

    - #### setSystemId

          public void setSystemId(String systemId)

      Set the system identifier for this Source.

      The system identifier is optional if the source does not get its data from a URL, but it may still be useful to provide one. The application can use a system identifier, for example, to resolve relative URIs and to include in error messages and warnings.

      Specified by:
        `setSystemId` in interface `Source`
      Parameters:
        `systemId` - The system identifier as a URL string.

    - #### getSystemId

          public String getSystemId()

      Get the system identifier that was set with setSystemId.
      Specified by:
        `getSystemId` in interface `Source`
      Returns:
        The system identifier that was set with setSystemId, or null if setSystemId was not called.

    - #### send

          public abstract void send(Receiver out)
                             throws XPathException

      Supply events to a Receiver.
      Parameters:
        `out` - the Receiver to which events will be sent. It is the caller's responsibility to initialize the receiver with a PipelineConfiguration, and to call the open() and close() methods on the receiver before and after calling this send() method.
      Throws:
        `XPathException` - if any error occurs

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.